Name: spamassassin-pdfinfo
Version: 0.8
Release: 2%{?dist}
Summary: pdfinfo plugin for SpamAssassin

Group: Development/Libraries
License: None - Dallas Engelken
URL: http://rulesemporium.com/plugins.htm
# Source is not tar'd - had to do that myself
# See: http://rulesemporium.com/plugins.htm
Source0: %{name}-%{version}.tar.gz
Patch0: spamassassin-pdfinfo-0.8-loadplugin.patch
Patch1: spamassassin-pdfinfo-0.8-loadplugin2.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch

Requires: perl(Digest::MD5)
Requires: perl(MIME::QuotedPrint)
Requires: spamassassin >= 3.1.4

%description
This plugin/ruleset combination will help you alleviate the new 
PDF based stock spam which began to appear mid-June, 2007.


%prep
%setup -q
%patch0 -p1
%patch1 -p1

%install
# Determine the proper perl directory:
eval `%{__perl} -V:installsitelib`

install -d %{buildroot}$installsitelib/Mail/SpamAssassin/Plugin/
install -d %{buildroot}%{_sysconfdir}/mail/spamassassin/

install -m 644 pdfinfo.cf %{buildroot}%{_sysconfdir}/mail/spamassassin/pdfinfo.cf
install -m 444 PDFInfo.pm %{buildroot}$installsitelib/Mail/SpamAssassin/Plugin/PDFInfo.pm


# List files in perl directories above
find %{buildroot}$installsitelib -type f \
	| %{__perl} -pi -e 's#^%{buildroot}##g' > %{name}-%{version}-%{release}-filelist

%pre

%post

%postun

%clean
rm -rf %{buildroot}


%files -f %{name}-%{version}-%{release}-filelist
%defattr(-,root,root)

%config %{_sysconfdir}/mail/spamassassin/*

%changelog
* Mon Aug 27 2007 Greg Swallow <greg@runlevel7.ca> 0.8-2
- new package
- add patch(es) (oops) to load plugin automatically
- based on spamassassin-botnet rpm
